package com.example.android.courtcounter;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class SaveActivity extends AppCompatActivity {

    EditText inputContent1;

    Button buttonAdd, buttonDeleteAll, btnshowdata;

    DataBaseHelper dbHelper;

    String Scores = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_save);

        Bundle b = getIntent().getExtras();
        Scores =  b.getString("results");

        inputContent1 = (EditText) findViewById(R.id.Referee_Name);

        buttonAdd = (Button) findViewById(R.id.btnSave);

        buttonDeleteAll = (Button) findViewById(R.id.DeleteAll);

        btnshowdata = (Button) findViewById(R.id.showAll);

        dbHelper = new DataBaseHelper(this);

        buttonAdd.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                getdata();
            }
        });


        btnshowdata.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                Intent i = new Intent(SaveActivity.this,ShowData.class);
                startActivity(i);
            }
        });

        buttonDeleteAll.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                dbHelper.deleteall();
            }
        });

    }

    private void getdata() {
        String r = inputContent1.getText().toString().trim();

        System.out.println("Refree Name........." + r);


        if (r.equals("")) {
            inputContent1.setError("First Name is required");
        }
        else
            {
            DataEntry q = new DataEntry(r,Scores);

            dbHelper.adddata(q);
            Toast.makeText(getApplicationContext(), "Entry Submitted Successfully", Toast.LENGTH_LONG).show();


            Intent i = new Intent(getApplicationContext(), ShowData.class);
            startActivity(i);
        }
    }

    @Override
    public void onBackPressed() {
        Toast.makeText(this, "Match details not saved", Toast.LENGTH_SHORT).show();
        Intent i = new Intent(this,LoginActivity.class);
        startActivity(i);
    }
}
